Subject: Re: hx/unpack-streaming

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Jun 2022 15:08:35 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Wed, Jun 22 2022, Junio C Hamano wrote:
>
>> * hx/unpack-streaming (2022-06-13) 6 commits
>>  - unpack-objects: use stream_loose_object() to unpack large objects
>>  - core doc: modernize core.bigFileThreshold documentation
>>  - object-file.c: add "stream_loose_object()" to handle large object
>>  - object-file.c: factor out deflate part of write_loose_object()
>>  - object-file.c: refactor write_loose_object() to several steps
>>  - unpack-objects: low memory footprint for get_data() in dry_run mode
>>
>>  Allow large objects read from a packstream to be streamed into a
>>  loose object file straight, without having to keep it in-core as a
>>  whole.
>>
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> I've thoroughly reviewed this topic both now & in the past, and I think
> it's ready to be merged down.

I was involved in reviewing its earlier rounds but didn't read the
last round too carefully.  I'll give it another read-over before
merging it down.

Thanks, all.